Subject: Re: [PATCH net v2] xfrm: esp: avoid in-place decrypt on shared skb frags

From: Steffen Klassert <[email-masked]>
Date: Tue, 5 May 2026 07:42:18 +0200

On Tue, May 05, 2026 at 10:49:42AM +0800, Hex Rabbit wrote:
> Hi Hyunwoo, Steffen,
> 
> > The report and patch for this issue were already posted on
> > the public netdev ML 6 days ago, i.e., the bug was already
> > publicly reported:
> >
> >   https://lore.kernel.org/all/afLDKSvAvMwGh7Fy@v4bel/
> >
> > Credit for patch authorship is adequately covered by
> > Signed-off-by alone. Setting aside that your work proceeded
> > independently rather than as a review of my earlier
> > submission, the trailer should conform to convention to
> > avoid future misunderstanding.
> 
> For clarity, I also found and reported the issue independently to
> [email-masked] on the same day, with my own reproducer and
> root-cause analysis. At that time I was not aware of your report or
> patch; otherwise I would have referenced it earlier.
> 
> I am still not fully familiar with the exact kernel trailer convention
> here, so I added both Reported-by tags because the reports were
> independent.
> 
> Steffen, either trailer form is fine with me. If you decide to drop my
> Reported-by because the patch already has my Signed-off-by, I have no
> objection.

You reported it, so you can have the tag.

This is now applied to the ipsec tree, thanks a lot everybody!